> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the current user's roles and relations

> Returns what the authenticated user may act on. Call this after sign-in to drive access decisions.



## OpenAPI

````yaml /openapi.json get /users/permissions/@me
openapi: 3.0.0
info:
  title: Korint API
  description: >-
    Quoting, policy issuance, billing, claims, documents and compliance for
    insurance distribution.
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.korint.io
    description: Production
  - url: https://api.sandbox.korint.io
    description: Sandbox
security:
  - oauth2: []
  - bearerAuth: []
tags: []
paths:
  /users/permissions/@me:
    get:
      tags:
        - account
      summary: Get the current user's roles and relations
      description: >-
        Returns what the authenticated user may act on. Call this after sign-in
        to drive access decisions.
      operationId: LegacyPermissionsController_atMe
      parameters:
        - name: tenant
          in: header
          required: true
          description: Your tenant identifier. Requests without it are rejected.
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LegacyAtMeOutput'
        '404':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/UserNotFoundErrorDto'
                  - $ref: '#/components/schemas/UserEmailNotFoundErrorDto'
              examples:
                USER_NOT_FOUND:
                  value:
                    code: USER_NOT_FOUND
                    message: No user found for user id {userId}
                    details: {}
                USER_EMAIL_NOT_FOUND:
                  value:
                    code: USER_EMAIL_NOT_FOUND
                    message: No email found for user id {userId}
                    details: {}
          description: ''
components:
  schemas:
    LegacyAtMeOutput:
      type: object
      properties:
        userId:
          type: string
        email:
          format: email
          type: string
        isSuperUser:
          type: boolean
        firstName:
          type: string
          description: First name
        lastName:
          type: string
          description: Last name
        brokerageFirmId:
          pattern: >-
            ^brokerage_firm(_test)?_[346789ABCDEFGHJKLMNPQRTUVWXYabcdefghijkmnpqrtwxyz]{21}$
          type: string
          description: My brokerage firm
        brokerRole:
          type: string
          description: My broker role
        productIds:
          description: Products that can be distributed by the user
          type: array
          items:
            type: string
        relations:
          type: array
          items:
            $ref: '#/components/schemas/Relation'
      required:
        - userId
        - email
        - isSuperUser
        - relations
    UserNotFoundErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - USER_NOT_FOUND
        message:
          type: string
          example: No user found for user id {userId}
        details:
          $ref: '#/components/schemas/UserNotFoundDetailsDto'
      required:
        - code
        - message
        - details
    UserEmailNotFoundErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - USER_EMAIL_NOT_FOUND
        message:
          type: string
          example: No email found for user id {userId}
        details:
          $ref: '#/components/schemas/UserEmailNotFoundDetailsDto'
      required:
        - code
        - message
        - details
    Relation:
      type: object
      properties:
        id:
          type: string
        userId:
          type: string
        resourceId:
          type: string
        relationType:
          type: string
      required:
        - id
        - userId
        - resourceId
        - relationType
    UserNotFoundDetailsDto:
      type: object
      properties:
        userId:
          type: string
        source:
          type: string
      required:
        - userId
        - source
    UserEmailNotFoundDetailsDto:
      type: object
      properties:
        userId:
          type: string
      required:
        - userId
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://korint-tenant.auth.eu-west-3.amazoncognito.com/oauth2/token
          scopes:
            korint.io/account: Read account information
            korint.io/analytics: Access analytics endpoints
            korint.io/assets: Access asset endpoints
            korint.io/billing: Access billing endpoints
            korint.io/branches: Access branch endpoints
            korint.io/broker: Access broker endpoints
            korint.io/claims: Access claim endpoints
            korint.io/comments: Access comment endpoints
            korint.io/customers: Access customer endpoints
            korint.io/derogations: Access derogation endpoints
            korint.io/documents: Access document endpoints
            korint.io/external: Access external lookup endpoints
            korint.io/external-claims: Declare claims from an external system
            korint.io/internal-notes: Access internal note endpoints
            korint.io/invitations: Access invitation endpoints
            korint.io/payments: Access payment endpoints
            korint.io/permissions: Access permission management endpoints
            korint.io/policies: Access policy endpoints
            korint.io/quotes: Access quote endpoints
            korint.io/reportings: Access reporting endpoints
            korint.io/signature: Access signature endpoints
      description: >-
        Machine-to-machine clients use the OAuth 2.0 client credentials grant.
        Each tenant has its own authorization server: in the token URL below,
        replace `tenant` with your tenant identifier.
    bearerAuth:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: An access token obtained from your tenant authorization server.

````